Subject: Re: Arrow keys broken in gitk

From: Sven van Haastregt <[email-masked]>
Date: Fri, 24 Jul 2015 20:39:33 +0100

Roland Lutz <rlutz <at> hedmen.org> writes:
 > in gitk on Debian jessie (Git version 2.1.4), the left/right arrow
 > keys don't work in the text input fields.  When I click into the SHA
 > ID field or either search field and press the left or right arrow
 > key, nothing happens.  I'd expect the text cursor to move one
 > character forward or back.

Confirming the problem with Tk 8.6 for git 2.4.6.  The <home> and <end> 
keys are also affected inside text fields.  Running gitk with Tk 8.5 
(i.e., wish8.5) gives the expected behaviour.

It seems changes to the text and entry widget bindings in Tk 8.6 are 
causing the problem.  Quoting http://wiki.tcl.tk/22115 :

``The text widget's default bindings seem to have changed pretty 
considerably - a lot of things are now handled via custom events instead 
of direct bindings (notably things which move the cursor and alter 
selection)''

Sven